jQuery(function() {
	// Triggers
	var paramSocialIconFont = '#jform_params_socialfonticons',
		paramLogoType = '#jform_params_logoType',
		paramSocialIconYes = '#jform_params_socialicons0',
		paramSocialIconNo = '#jform_params_socialicons1';

	// Groups
	// Social icons
	var sectionSocialIcon = [
		'#jform_params_socialiconstitle-lbl',
		'#jform_params_socialiconsposition-lbl',
		'#jform_params_socialalign-lbl',
		'#jform_params_socialfonticons-lbl'
	];

	var sectionSocialIconImg = [
		'.heading.socialiconsimages',
		'.heading.header-socialicon1',
		'.heading.header-socialicon2',
		'.heading.header-socialicon3',
		'.heading.header-socialicon4',
		'.heading.header-socialicon5',
		'.heading.header-socialicon6',
		'#jform_params_icon1Image',
		'#jform_params_icon1Link',
		'#jform_params_icon2Image',
		'#jform_params_icon2Link',
		'#jform_params_icon3Image',
		'#jform_params_icon3Link',
		'#jform_params_icon4Image',
		'#jform_params_icon4Link',
		'#jform_params_icon5Image',
		'#jform_params_icon5Link',
		'#jform_params_icon6Image',
		'#jform_params_icon6Link'
	];

	var sectionSocialIconFont = [
		'.heading.header-socialiconfonts',
		'.heading.header-socialiconfont1',
		'.heading.header-socialiconfont2',
		'.heading.header-socialiconfont3',
		'.heading.header-socialiconfont4',
		'.heading.header-socialiconfont5',
		'.heading.header-socialiconfont6',
		'.zeniconbreakpointdescr',
		'#jform_params_iconsize-lbl',
		'#jform_params_iconcolor-lbl',
		'#jform_params_iconcss-lbl',
		'#jform_params_iconcssbreakpoint-lbl',
		'#jform_params_iconcssmedia-lbl',
		'#jform_params_icon1Font-lbl',
		'#jform_params_icon1FontLink-lbl',
		'#jform_params_icon2Font-lbl',
		'#jform_params_icon2FontLink-lbl',
		'#jform_params_icon3Font-lbl',
		'#jform_params_icon3FontLink-lbl',
		'#jform_params_icon4Font-lbl',
		'#jform_params_icon4FontLink-lbl',
		'#jform_params_icon5Font-lbl',
		'#jform_params_icon5FontLink-lbl',
		'#jform_params_icon6Font-lbl',
		'#jform_params_icon6FontLink-lbl'
	];

	// Logo Type
	var sectionLogoTypeText = [
		'.heading.logotypetext',
		'.jbdesc.logotypetextdescr',
		'#jform_params_logoText-lbl',
		'#jform_params_fontStackLogo-lbl',
		'#jform_params_fontStackLogoSub-lbl',
		'#jform_params_logoFontSize-lbl',
		'#jform_params_logoColour-lbl'
	];

	var sectionLogoTypeImg = [
		'.heading.logotypeimg',
		'.jbdesc.logotypeimgdescr',
		'#jform_params_logoFile-lbl',
		'#jform_params_logoAltTag-lbl'
	];


	function relayoutSocialIcons() {
		if (jQuery(paramSocialIconYes).is(':checked'))
		{
			showItems(sectionSocialIcon);
			relayoutSocialIconsType();
		}
		else
		{
			hideItems(sectionSocialIcon);
			hideItems(sectionSocialIconImg);
			hideItems(sectionSocialIconFont);
		}
	}

	function relayoutSocialIconsType() {
		// Social icons
		if (jQuery(paramSocialIconFont).val() == 1)
		{
			// Font
			hideItems(sectionSocialIconImg);
			showItems(sectionSocialIconFont);
		}
		else
		{
			// Icon
			showItems(sectionSocialIconImg);
			hideItems(sectionSocialIconFont);
		}
	};

	function relayoutLogoType() {
		// Social icons
		if (jQuery(paramLogoType).val() == 'text')
		{
			// Font
			hideItems(sectionLogoTypeImg);
			showItems(sectionLogoTypeText);
		}
		else
		{
			// Icon
			showItems(sectionLogoTypeImg);
			hideItems(sectionLogoTypeText);
		}
	};

	// Events
	jQuery(paramSocialIconFont).change(function() {
		relayoutSocialIconsType();
	});

	jQuery(paramLogoType).change(function() {
		relayoutLogoType();
	});

	jQuery(paramSocialIconYes).change(function() {
		relayoutSocialIcons();
	});

	jQuery(paramSocialIconNo).change(function() {
		relayoutSocialIcons();
	});

	// Init
	relayoutSocialIcons();
	relayoutLogoType();
});

function hideItems(list)
{
	var length = list.length;
	for (var i=0; i<length; i++)
	{
		jQuery(list[i]).parent().hide();
	}
}

function showItems(list)
{
	var length = list.length;
	for (var i=0; i<length; i++)
	{
		jQuery(list[i]).parent().show();
	}
}
