<?php
/**
 * @package     ZenGridFramework
 * @subpackage  ZenGridFramework
 * @author      Joomla Bamboo - design@joomlabamboo.com
 * @copyright   Copyright (c) 2012 Joomla Bamboo. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @version     2.4.3
 *
 * The Zen Grid Framework is a templating framework that uses the Joomla Content Manament System (http://www.joomla.org)
 * This file is called if the panel layout override is enabled and is placed in the templates/[your template name]/layout folder.
 */

// no direct access
defined('_JEXEC') or die('Restricted index access');
?>

<!-- Nav wrapper -->
	<div id="navwrap">
		<div class="topmenu container <?php echo $zen->containerPosition ?>">
			<div class="row">
				<div class="inner">
					<div id="navwrapper" >
						<?php if ($zen->logoPosition == "top") {
								require YOURBASEPATH . "/layout/logo.php";
						} ?>

							<div id="nav" class="grid_<?php echo $navCols; ?> <?php echo $fontStackNav ?> <?php echo $navposition ?>">
								<?php if ($zen->splitMenu && $zen->splitMenuNavPos == "topmenu") {
								require YOURBASEPATH . "/layout/splitmenuTop.php";

								} else { ?>
									<div id="menuwrap" <?php if ($zen->mobilemenu) { ?>class="hide"<?php } ?>>
										<jdoc:include type="modules" name="menu" style="jbChrome" />
									</div>
									<?php if ($zen->mobilemenu == "1") { ?>
										<div id="mobilemenu" title="<?php echo $zen->mobileMenuTitle?>"></div>
									<?php }
								} ?>
								
								<div id="searchtoggle">
								toggle
								</div>
								<div id="searchbox">
									<jdoc:include type="modules" name="search" style="jbChrome" />
								</div>
							</div>

					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="clear"></div>
	<!-- Nav wrapper -->